# $Revision: 1.8 $, $Date: 2007/06/01 11:09:21 $
%define	_lang	be
%define	_reg	BY
%define	_lare	%{_lang}-%{_reg}
Summary:	Belarusian resources for SeaMonkey
Summary(pl.UTF-8):	Białoruskie pliki językowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1.1
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	1e29d76c1260db30db22031ca0595421
Source1:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
Belarusuian resources for SeaMonkey.

%description -l pl.UTF-8
Białoruskie pliki językowe dla SeaMonkeya.

%prep
%setup -q -c
install %{SOURCE1} .
./gen-installed-chrome.sh locale bin/chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar \
	> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install bin/chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-be.spec,v $
Revision 1.8  2007/06/01 11:09:21  hawk
- updated to 1.1.1

Revision 1.7  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.5  2006/11/15 11:02:32  qboosh
- updated to 1.0.5

Revision 1.4  2006/07/31 14:50:30  sparky
- up to 1.0.2
- use macros

Revision 1.3  2006/04/21 06:22:18  qboosh
- pl fix

Revision 1.2  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.1  2006/04/16 18:36:04  sparky
- NEW, builds and works
